<?php

 include_once '../php/config.php';
  include_once '../header_.php';
$str = mysql_query("select * from detalle_comanda where mesa='".$_GET['txt-mesa']."' and id_detalle_comanda='".$_GET['id_delete']."'") or die(mysql_error());
$item = @mysql_result($str, 0,"descripcion");
$cantidad = @mysql_result($str, 0,"cantidad");
$total_precio = @mysql_result($str, 0,"total_precio");
$mesa = @mysql_result($str, 0,"mesa");
$sss = "Cancelacion de ".$cantidad." ".$item.", Monto: ".$total_precio;
$comentario = $_GET["comentario"];
if(isSet($_GET["anular"]) and ($_GET["anular"])=="1"){
mysql_query("insert into cancelaciones set
 monto='$total_precio', producto='$sss', fecha=CURDATE(),
 mesa='$mesa', hora=CURTIME(), comentario='$comentario', usuario='".$_COOKIE['usuario']."'") or die(mysql_error());

 $uc = mysql_query("select * from cancelaciones where usuario='".$_COOKIE['usuario']."' order by id desc limit 1") or die(mysql_error());
 $id = @mysql_result($uc, 0,"id");
 mysql_query("update detalle_comanda set anulado=1, nota='".$_GET['comentario']."' where mesa='".$_GET['txt-mesa']."' and id_detalle_comanda='".$_GET['id_delete']."'") or die(mysql_error());
echo "<script>window.open('recibo_cancelacion.php?id=$id','_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=300,height=850');
</script>";

}

?>

<div class="container">
	<div class="row">
		<div class="col-md-4 col-md-offset-4">
			<h3>Comentario para anular este Item</h3>
			<span class="text-primary"><?php echo $item;?></span>
			<hr>
			
			<textArea id="comentario" autofocus class="form-control" style="font-weight:18px;">
			
			</textArea>
			<br>
			<button class="btn btn-info" onClick="borrar()"><i class="bi bi-trash"></i> Confirmar</button>
			<a class="btn btn-default" href="vender.php?txt-mesa=<?php echo $_GET['txt-mesa']?>"><i class="bi bi-circle"></i> Cancelar</a>

		</div>
	</div>
</div>

<script>
function borrar(){
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var id_delete = "<?php echo $_GET['id_delete']?>";
	var comentario = $("#comentario").val();
	
	window.location.href="delete_item.php?id_delete="+id_delete+"&txt-mesa="+mesa+"&anular=1&comentario="+comentario;
}

</script>